none
Visual Studio 2008 Report rdlc "error could not load file or assembly" RRS feed

  • Question

  • I have a website created, it was originally in VS2005, then migrated to VS2008 . Reports are working fine.

    The solution also has a business layer and a DAL that are both DLL. This project has DATASETS DLL too where datasets are defined.

     

    I have created Report (report.rdlc) and added a table and I want to connect the table to a datasource. In the report designer I am clicking on Report>Data Sources. I am then getting an error "Couldnt load file or assembly 'techlogix.nestle.datasets,version=1.0.0.0,Culture=Neutral,PublicKeyToken=null' or one of its dependencies. The system cannot find the file specified."

    Please help me asap. I am gettting this error on every report that I add or the previous reports when i click on data sources. :(

    Thanks.

    Monday, June 6, 2011 6:43 AM

All replies

  • Hi..

    You have to chage the reportviewer assembly version to older one or create new rdlc files with new version. VS 2008 uses 10.0.0.0 version of reportviewer. and previous version uses 8.0.0.0 version.


    Thanks, Pranil Yambal | MCTS | Pranil.Yambal@hotmail.com
    Monday, June 6, 2011 9:59 AM
  • Thanks for your reply. I have already used old version ie. 8.0. I tried to use 9.0 but it gave error. I already had solved that issue by using old version and referencing the old report viewer version in web config.

    <add path="Reserved.ReportViewerWebControl.axd" verb="*" type="Microsoft.Reporting.WebForms.HttpHandler, Microsoft.ReportViewer.WebForms, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"

     

    and in code behind.

    <%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"
        Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

     

    Monday, June 6, 2011 1:05 PM
  • but still this problem exists. anything you understand?
    Monday, June 6, 2011 1:06 PM
  • Hi,

    Have u removed the lattest  version reference from application. Bcoz its also gives error. If after doing all this its not working then can u post the exact error gives by your application. and code you have used.


    Thanks, Pranil Yambal | MCTS | Pranil.Yambal@hotmail.com
    Friday, June 10, 2011 7:03 AM
  • I am also getting the same issue. Its and old issue and hope you have managed to resolve it. Can you please help me in solving the issue?

    Munazzah

    Monday, October 19, 2015 7:02 AM